Subject: bug#12351: 24.1; parse-colon-path turns empty paths into nil

From: Glenn Morris <[email-masked]>
Date: Sun, 30 Dec 2012 13:52:11 -0500

Dave Abrahams wrote:

> (parse-colon-path ":") yields (nil nil) but there's nothing in the
> docstring to indicate that empty path entries will get turned into nil.
> Either the docstring needs to be updated, or parse-colon-path should
> return (delq nil cd-list).

Making a change equivalent to the latter has caused

http://debbugs.gnu.org/13296

Obviously we need the nils to remain, so I will put them back and just
mention that empty elements return nil. It's not worth handling the
minor aesthetic annoyance of (nil nil) specially.